@import '../../scss/variables';

.pizza-block {
  width: 280px;
  text-align: center;
  margin-bottom: 65px;
  transition: all 0.2s ease-in-out;

  &:hover {
    transform: scale(1.03);
  }

  &-wrapper {
    display: flex;
    justify-content: center;
  }

  &__image {
    width: 260px;
  }

  &-modal{
    width: 1100px;
    max-width: 100%;
    border-radius: 30px;
    display: flex;
    @media (max-width: 1240px){
      width: 100%;
    }
    @media (max-width: 650px){
      width: 100%;
      display: flex;
      flex-direction: column;

      &__right{
        margin: 0 auto;
      }
    }

    &__left{
      width: 50%;

    }
    &__right{
      width: 50%;
      display: flex;
      justify-content: center;
    }
  }

  &__title {
    font-size: 20px;
    font-weight: 900;
    letter-spacing: 1%;
    margin-bottom: 20px;
  }

  &__selector {
    display: flex;
    background-color: #f3f3f3;
    border-radius: 10px;
    flex-direction: column;
    padding: 6px;

    ul {
      display: flex;
      flex: 1;

      &:first-of-type {
        margin-bottom: 6px;
      }

      li {
        padding: 8px;
        flex: 1;
        cursor: pointer;
        font-weight: 600;
        font-size: 14px;
        //@include noselect();
        &.active {
          background: #ffffff;
          box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.04);
          border-radius: 5px;
          cursor: auto;
        }
      }
    }
  }

  &__bottom {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-top: 20px;
  }

  &__price {
    font-weight: bold;
    font-size: 22px;
    line-height: 27px;
    letter-spacing: 0.015em;
  }
}


